<?php
require_once __DIR__ . "/settings.php";
$page = "about";
?>
<!DOCTYPE HTML>
<title><?php echo SITE_TITLE; ?></title>
<?php
include __DIR__ . '/inc/meta.php';
include __DIR__ . '/inc/piwik.php';
?>
<!-- Wrapper -->
<div id="wrapper">

    <?php include __DIR__ . "/inc/header.php"; ?>

    <!-- Section -->
    <section id="one" class="main alt">
        <header class="accent1">
            <h1>About Don't Sell.Me</h1>
        </header>
        <div class="inner alt">
            <div class="content">
                <style>
                    dl dt {
                        margin-bottom: 0px;
                        padding-bottom: 0px;
                        margin-top: 0px;
                        padding-top: 10px;
                    }
                </style>
                <dl>
                    <dt>What is this?</dt>
                    <dd>Don't Sell.Me is a suite of privacy-first cloud apps.</dd>
                    <dt>Privacy?  Tell me more!</dt>
                    <dd>It's simple really.  Usually, you get a free service in return for allowing companies to sell you and your data.  We don't sell you, we sell <i>to</i> you.  This makes it profitable to run the service without violating your privacy.  In fact, it only takes 20 users paying $2 a month to pay for a server, and each server can support many more users than that.</dd>
                    <dt>So you don't sell or give my data to anyone?</dt>
                    <dd>That's right!  We don't even use Google Analytics or other third-party tools (with the exception of Stripe for processing payments, and they have to protect your data by law).</dd>
                    <dt>What about tracking?</dt>
                    <dd>We host our own analytics software (powered by Piwik, which is an awesome open-source project), and you can opt out by enabling Do-Not-Track in your browser settings or <a href="https://analytics.netsyms.net/index.php?module=CoreAdminHome&action=optOut&language=en" target="_BLANK">clicking here</a>.  We use analytics to better understand how the services are being used, so we can improve them accordingly.</dd>
                    <dt>What apps are available?</dt>
                    <dd>Currently, there are apps for file storage (like Google Drive or Dropbox), in-browser document editing with live collaboration (similar to Google Docs), password management (like KeePass or LastPass), photo organization and viewing (like Google Photos), music management and streaming, calendar and tasks, notes, and more.</dd>
                    <dt>How does sharing work?</dt>
                    <dd>You can share files and documents with other users on DS.M, with users of some other cloud systems (like NextCloud or OwnCloud) using a federated cloud ID, or with anyone using a link (plus an optional password).</dd>
                    <dt>What is a federated cloud ID?</dt>
                    <dd>It's basically like an email address but for file sharing.  Users on other clouds can use your federated cloud ID to share files to your DS.M account, and vice versa.  You can find your ID by signing into Don't Sell.Me, opening the Options menu (<i class="fa fa-gear"></i>) in the top-right, selecting Personal, and clicking <i class="fa fa-share-alt"></i> Federated Cloud in the sidebar.  Your ID will be in the form <i>username</i>@dontsell.me.</dd>
                    <dt>How does billing work?</dt>
                    <dd>Every time you pay, you get 30 days of service.  If you're renewing on the same plan, we add 30 days to your expiration date.  You could renew a bunch of times all at once if you want more than one month of service.  If you're switching plans, your new plan takes effect immediately and lasts 30 days from purchase.  This means you will lose any remaining service days your current plan has left.  If you have a lot of time left but need an upgrade right now, <a href="https://support.netsyms.com/index.php?a=add&category=9">open a support ticket</a> and we'll adjust your plan dates to compensate.</dd>
                    <dt>What happens if my plan expires?</dt>
                    <dd>Your account will be downgraded to the free tier.  You won't be able to upload or change files if you exceed the free tier quota.  If your account is over quota for more than a week, we might disable it (prevent you from logging in) until you pay up (or give us a good enough reason to let you back in).  After two weeks (one week after your account is disabled), we will delete your account and all your files.  We aren't horrible people though, so we will be happy to let you download your stuff before we delete it if you ask.</dd>
                    <dt>What if I forget to renew?</dt>
                    <dd>We will send email reminders to the address in your account before taking any action.  If you don't check your email (or you give us a fake one), that's not our fault.</dd>
                    <dt>SOMETHING BROKE FIX IT FIX IT FIX IT</dt>
                    <dd>We have a support ticket system.  If you find a problem, please tell us.  <a href="https://support.netsyms.com/">Click here</a> to go to our ticket system.</dd>
                    <dt>I don't trust the open Internet.  Is there any other way to access Don't Sell.Me?</dt>
                    <dd>Yes!  <a href="connect.php">DS.M is available as a Tor hidden service, via CJDNS, and on I2P.  Click here for connection info.</a></dd>
                    <dt>What is Don't Sell.Me running?</dt>
                    <dd>We're using <a href="https://nextcloud.com/">Nextcloud</a> with a bunch of plugins and apps, including Collabora Online/LibreOffice Online for the fancy document editing.</dd>
                    <dt>Blah blah GPL code</dt>
                    <dd>Any modifications we make to the Nextcloud code base can be found <a href="https://source.netsyms.com/DontSellMe">by clicking here</a>.  There's a few theme/branding tweaks that aren't there, but if you really want those for some reason, use the Contact Us button in the footer.</dd>
                </dl>
            </div>
        </div>
    </section>

    <?php include __DIR__ . "/inc/footer.php"; ?>

</div>

<?php include __DIR__ . "/inc/scripts.php"; ?>