<?php
require_once __DIR__ . "/settings.php";
?>
<!DOCTYPE HTML>
<title><?php echo SITE_TITLE; ?></title>
<?php
include __DIR__ . '/inc/meta.php';
include __DIR__ . '/inc/piwik.php';
?>
<!-- Wrapper -->
<div id="wrapper">

    <?php include __DIR__ . "/inc/header.php"; ?>

    <!-- Section -->
    <section id="one" class="main alt">
        <header class="accent1">
            <h1>Terms of Service</h1>
        </header>
        <div class="inner alt">
            <div class="content">
                <p>These terms are a legal agreement between You and Netsyms Technologies (Netsyms).
                    If you do not agree to these terms, you are not allowed to use the services.
                    Netsyms reserves the right to change these terms at any time.
                    Netsyms will attempt to notify you via email before any changes to these terms,
                    but reserves the right to not do so if the changes are inconsequential (typos, minor clarifications, etc).
                    If there is a conflict between these terms and the
                    <a href="https://netsyms.com/legal">Netsyms global terms</a> (which do apply to these services),
                    the relevant terms in this document override the global terms.
                    <br />
                    <b>Billing</b><br />
                    By purchasing a plan, you are prepaying for 30 days of service at the specified quota.
                    If you renew with the same plan, your service expiration will be extended by 30 days.
                    If you purchase a different plan while your current plan is still active,
                    the new plan will take effect immediately with a duration of 30 days.
                    If you have a substantial amount of time left on your current plan but wish to upgrade without losing any time,
                    <a href="https://support.netsyms.com/index.php?a=add&category=9">submit a support ticket</a> and we will
                    calculate and extend your service expiration date to correspond with the overlapping time.
                    If you do not renew your service and it expires, your account will be set to the free tier and you
                    will be unable to upload or edit files if your account is over the free tier quota.
                    If your account is still over the quota 7 days after the automatic downgrade, it will be disabled,
                    and after 14 days your account and all your content will be deleted permanently.
                    If you purchase a plan before the 14 day limit, your account will be re-enabled and your quota adjusted.
                    <br />
                    <b>Liability</b><br />
                    You agree that Netsyms is not liable for data loss or any damage of any kind to you, your devices, or any of your other assets.
                    We recommend you have multiple backups, because sometimes stuff happens.
                    You agree to not sue Netsyms or any person affiliated with Netsyms.
                    There are no refunds for the services unless an exemption is granted for You by Netsyms.
                    <br />
                    <b>Privacy</b><br />
                    Netsyms will never sell, lease, or otherwise allow any third party access
                    to any data you or your devices upload, generate, or otherwise submit to the services.
                    This includes files, documents, profile data, IP addresses, metadata, and so on, unless
                    Netsyms is compelled by legal authorities to release data.
                    <br />
                    <b>Acceptable Use</b><br />
                    Some content and use cases are not allowed, by Netsyms and/or our hosting providers.
                    Examples of banned content and use cases include
                    pornography, malware, gambling services,
                    fraudulent goods or services or schemes,
                    copyrighted or trademarked material you do not have permission to upload,
                    intellectual property you do not have rights to upload,
                    offensive content (content that is defamatory, grossly offensive,
                    obscene, abusive, invasive of privacy,
                    or is otherwise objectionable, including content
                    that exploits children or constitutes child pornography,
                    relates to bestiality, expresses bigotry or hatred,
                    constitutes harassment, or depicts non-consensual sex acts),
                    harmful content (software or computer technology that may damage,
                    interfere with, intercept, or expropriate any system,
                    program, or data, including viruses, trojan horses, worms,
                    time bombs, or cancelbots),
                    harmful actions (piracy, hacking, cracking, phreaking,
                    warez, pyrotechnics, exploitive software and
                    texts or communications that educate or encourage this
                    activity),
                    any activity or content that violates the laws of the
                    United States, Montana, Missouri, Helena Montana, or
                    Kansas City Missouri.
                    If your activities place an undue burden on Netsyms servers, You may be asked to change your usage pattern.
                    Not doing so, or if your activities were deliberately intended to place such a burden, is a violation of these terms.
                    Netsyms reserves the right to make a final decision if
                    certain content or usage is allowed, and this list is not exhaustive.
                    <br />
                    <b>Consequences</b><br />
                    If You violate these terms, Netsyms may delete content in
                    violation, delete all your content, disable your account,
                    delete your account, block your IP addresses,
                    or take other action to stop the violation.
                    We will usually ask you nicely before taking such action, unless circumstances dictate otherwise.
            </div>
        </div>
    </section>

    <?php include __DIR__ . "/inc/footer.php"; ?>

</div>

<?php include __DIR__ . "/inc/scripts.php"; ?>